import pandas as pd

df = pd.read_csv("db_dump.csv", delimiter=';', usecols=[
                 'Streckenvorhersage.Dauer', 'Streckenvorhersage.StartortID', 'Streckenvorhersage.ZielortID', 'Streckenvorhersage.Entfernung', 'Streckenvorhersage.Datum'])

df['Streckenvorhersage.Year'] = [pd.Timestamp(
    d).year for d in df['Streckenvorhersage.Datum']]
df['Streckenvorhersage.Month'] = [pd.Timestamp(
    d).month for d in df['Streckenvorhersage.Datum']]
df['Streckenvorhersage.Day'] = [pd.Timestamp(
    d).day for d in df['Streckenvorhersage.Datum']]
df['Streckenvorhersage.DayOfWeek'] = [pd.Timestamp(
    d).day_of_week for d in df['Streckenvorhersage.Datum']]
df['Streckenvorhersage.Hour'] = [pd.Timestamp(
    d).hour for d in df['Streckenvorhersage.Datum']]
df['Streckenvorhersage.Minutes'] = [pd.Timestamp(
    d).minute for d in df['Streckenvorhersage.Datum']]

df.drop(['Streckenvorhersage.Datum'], axis=1, inplace=True)

#df = pd.concat(
#    [df, pd.get_dummies(df['Streckenvorhersage.DayOfWeek'])], axis=1)

#li = ['Montag', 'Dienstag', 'Mittwoch', 'Donnerstag', 'Freitag', 'Samstag', 'Sonntag']
#print(pd.get_dummies(li,df['Streckenvorhersage.DayOfWeek'])

#df.rename(index={9: 'Montag', 10: 'Dienstag', 11: 'Mittwoch', 12: 'Donnerstag',
#                 13: 'Freitag', 14: 'Samstag', 15: 'Sonntag'}, inplace=True)
#df.drop(['Streckenvorhersage.DayOfWeek'], axis=1, inplace=True)

print(df.columns)
df.to_csv("data.csv", index=False)
